<?php
/*
 *  This file is part of The NWA Toolset.
 *
 *  Copyright (C) 2001-2002 Royal Library in Stockholm,
 *                          Royal Library in Copenhagen,
 *                          Helsinki University Library of Finland,
 *                          National Library of Norway,
 *                          National and University Library of Iceland.
 *
 *  The NWA Toolset is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The NWA Toolset is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The NWA Toolset; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/*
 * File: search.php
 *
 * $Id: search.php,v 1.7 2004/10/21 11:35:53 sverreb Exp $
*/


header("Content-Type: text/html; charset=UTF-8");

include_once("config.inc");
include($conf_index_file);
include($conf_includepath . "/time.inc");
include($conf_includepath . "/url.inc");
include($conf_includepath . "/queryParser.inc");
include_once($conf_result_list);


//if register_globals is off
 $time_search = $_REQUEST['time_search'];
 $time_search_from = $_REQUEST['time_search_from'];
 $time_search_to = $_REQUEST['time_search_to'];
 $query = $_REQUEST['query'];
 $querytype = $_REQUEST['querytype'];
 $start = $_REQUEST['start'];
 $debug = $_REQUEST['debug'];


?>
<HTML>
<HEAD>
<link rel="stylesheet" href="nwastyle.css" type="text/css">
<META HTTP-EQUIV="Cache-Control" Content="must-revalidate">
<META Http-Equiv="Pragma" Content="no-cache">
<META Http-Equiv="Expires" Content="0">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE><?php print(nls("NWA search"));?></TITLE>

<script language="javascript">
function submitForm(v) {

if (v == 2){
document.search.action = "<?php print $conf_advanced_search ?>";
document.search.submit();
}else{
document.search.action = "<?php print $conf_simple_search ?>";
document.search.submit();
}


}

</script>

</HEAD>

<body><center>


<?php
if ($time_search_from == "" and $time_search_to == "") {
  $query_time = "";
}
else {
  if ($time_search_from == "") {
    $from = "";
  }
  else {
    //Has to be exact four digits
    $from = "000" . $time_search_from;
    $from = substr($from, -4);
    if ($from < 1971) {
      $from = "1971";
      $time_search_from = "1971";
    }
    $from = $from . "0101000000";
  }
  if ($time_search_to == "") {
    $to = "";
  }
  else {
    //Has to be exact four digits
    $to = "000" . $time_search_to;
    $to = substr($to, -4);
    $today = getdate();
    if ($to < 1971) {
      $to = 1971;
    }
    elseif ($to > $today['year']) {
      $to = $today['year'] + 1;
      $time_search_to = $to;
    }
    //$to = date("Ymd", mktime(0, 0, 0, 1 , 0, $to)) . "000000";
    $to = $to - 1;
    $to = $to . "1231000000";
  }
  
  if ($time_search_from > $time_search_to) {
    $from = "";
    $time_search_from = "";
  }
  $time_search = $from . ";" . $to;
  $query_time = "nwa.archival_time:[$time_search] ";
}

?>

<table border='0' cellpadding='0' cellspacing='0' width=90%>
  <tr>
    <td class="norm" width="1" colspan="5"><img alt='' height='10' src='/images/1px.gif' width="1"></td>
  </tr>
  <tr>
    <td class="norm" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>
    <td class="norm" align="left"><img alt="" src="./images/nwalogo.jpg"></td>
    <td class="norm" align="right">
        <?php 
          print "<a href=\"$conf_advanced_search?query=$query&querytype=$querytype&field=all\">";
          print nls("Advanced search") . "</a>";
        ?>
    </td>    
    <td class="norm" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>    
  </tr>
</table>
      
      
<table border='0' cellpadding='0' cellspacing='0' width=90%>
  <tr>
    <td class="norm" colspan="5" align="left"><img alt='' height='8' src='/images/1px.gif' width='1'></td>
  </tr>
  <tr>
    <td colspan='5' class='border'><img alt='' height='2' src='/images/1px.gif' width='1'></td>
  </tr>
  <tr>
    <td colspan='5'><img src='/images/1px.gif' width='1' height='5' alt=''></td>
  </tr>
  <tr>
    <td class="shade" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>
    <td class="shade" width="5%"><?php print(nls("Match"));?>:</td>
    <td class="shade"><?php print(nls("Query:"));?></td>
    <td class="shade" align="right"><a href="<?php print($conf_helplinks['search']['file']);?>">
    <?php print(nls($conf_helplinks['search']['name']));?></a></td>
    <td class="shade" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>
  </tr>
  <tr>
    <td class="shade" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>
    <td class="shade"><form name='search' action=<? echo $_SERVER['PHP_SELF']; ?> method='get'>
        <?php
          $query=trim(stripslashes($query));
          if ($querytype == "phrase") {
            $query = str_replace('"', '', $query);
          }
        ?>
        <select name='querytype'>
         <option value=all <?php if ($querytype=="all") print "selected"?>><?php print(nls("All words"));?>
         <option value=any <?php if ($querytype=="any") print "selected"?>><?php print(nls("Any word"));?>
         <option value=phrase <?php if ($querytype=="phrase") print "selected"?>><?php print(nls("Exact phrase"));?>
        </select>&nbsp;
    </td>
    <td colspan="3">
      <input type='text' name='query' value='<?php print $query; ?>' class="searchtext" size="50"/>
      <input type='submit' value='<?php print(nls("Search"));?>' class="searchbutton" onClick="submitForm(0);"/>
    </td>
  </tr>
  <tr>
    <td class="shade" height="30" colspan="2">&nbsp;</td>
    <td colspan="3" class="shade" valign="bottom"><?php print(nls("Year"));?> <?php print(nls("(from - to)"))?></td>
  </tr>
  <tr>
    <td class="shade" height="30" colspan="2">&nbsp;</td>
    <td colspan="3">
      <input name='time_search_from' size=4 maxlength="4" type="text" value='<?php print $time_search_from;?>'/>&nbsp;-&nbsp;
      <input name='time_search_to' maxlength="4" value='<?php print $time_search_to; ?>' size=4 type="text"/>
      <?php
      if (isset($debug)) {
        print "<input type=\"hidden\" name=\"debug\" value=\"$debug\">";
      }
      ?>
    </td>
  </tr>
</form>

  <tr><td height="20" colspan="5"></td></tr>
</table>
    
    <!-- ************************ Results: ****************************************************** -->
<table align="center" class="greyborder" border="0" cellspacing="0" cellpadding="1" width="90%">
  <tr>
    <td>
      <table align="center" class="resultsborder" border="0" cellspacing="0" cellpadding="10" width="100%">
        <tr>
          <td>
    
<?php

$time_str = "Date range";

if ($query=="") {
  print nls("Empty query") . "<br>\n";
}
else {
  if ($querytype=="phrase") {
    $query = '"' . $query . '"';
  }
  $qparser = new queryParser($query, array ("nwa.text", "nwa.dctitle", "nwa.dcsubject", "nwa.dcdescription"), $querytype);
  $parsedquery = $qparser->getParsedQuery();
  if ($query_time!="") {
    if ($parsedquery=="") {
      $querystring = str_replace(" ", " and ", trim($query_time));
    }
    else {
      $querystring = "(" . $parsedquery . ") and " . str_replace(" ", " and ", trim($query_time));
    }
  }
  else {
    $querystring = $parsedquery;
  }
  if (empty($start)) {
    $start = 1;
  }

  $fields = "url archival_time teaser dctitle";

  if (isset($size)) {
    $sizeofresultset = $size;
  }
  else {
    $sizeofresultset = 10;
  }

  $sortorder = "relevance";
            
              include($conf_includepath . "/searchresult.inc");
}
              ?>

          </td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table border="0" class="resultsborder" width="90%" cellpadding="10">
  <tr>        
    <td align="right" class="norm"> 
      Manual : <a href="./manual/manual.html">HTML</a> - <a href="./manual/manual.pdf">pdf</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href="./RELEASE-NOTES">Release Notes</a>
    </td>
  </tr>
</table>
</center>
</body>
</html>
