<?php
/*
 *  This file is part of The NWA Toolset.
 *
 *  Copyright (C) 2001-2002 Royal Library in Stockholm,
 *                          Royal Library in Copenhagen,
 *                          Helsinki University Library of Finland,
 *                          National Library of Norway,
 *                          National and University Library of Iceland.
 *
 *  The NWA Toolset is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The NWA Toolset is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The NWA Toolset; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/*
 * File: overview.php
 *
 * $Id: overview.php,v 1.4 2004/10/05 09:11:34 sverreb Exp $
*/


header("Content-Type: text/html; charset=UTF-8");

include_once("config.inc");
include_once($conf_index_file);
include_once("$conf_searchenginepath/indexUtils.inc");


/*
*
* TODO: Handling of more hits than in the initial resultset retrieved
*
*/

?>


<HTML>
<HEAD>
<link rel="stylesheet" href="nwastyle.css" type="text/css">
<META HTTP-EQUIV="Cache-Control" Content="must-revalidate">
<META Http-Equiv="Pragma" Content="no-cache">
<META Http-Equiv="Expires" Content="0">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<TITLE><?php print(nls("NWA Overview"));?></TITLE>
<script language="javascript">
</script>
</HEAD>
<BODY><center>
<font face="helvetica,arial,sans-serif">

<?php

if (!isset($url)) {
  $url = $_REQUEST['url']; //if register_globals is off
}

$encoded_url = $url;
$url = index_decode($url);


?>
<table border='0' cellpadding='0' cellspacing='0' width=90%>
  <tr>
    <td class="norm" width="1" colspan="5"><img alt='' height='10' src='/images/1px.gif' width="1"></td>
  </tr>
  <tr>
    <td class="norm" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>
    <td class="norm" align="left"><img alt="" src="./images/nwalogo.jpg"></td>
    <td class="norm" align="right">
        <?php 
          print "<a href=\"$conf_simple_search\">";
          print nls("New search") . "</a>";
        ?>
    </td>    
    <td class="norm" width="10"><img alt='' height='1' src='/images/1px.gif' width="1"></td>    
  </tr>
</table>

<table border='0' cellpadding='0' cellspacing='0' width=90%>
  <tr>
    <td class="norm" colspan="5" align="left"><img alt='' height='8' src='/images/1px.gif' width='1'></td>
  </tr>
  <tr>
    <td colspan='5' class='border'><img alt='' height='2' src='/images/1px.gif' width='1'></td>
  </tr>
  <tr>
    <td colspan='5' class='norm'><img alt='' height='5' src='/images/1px.gif' width='1'></td>
  </tr>  
  </table>
  
<table align="center" class="resultsborder" border="0" cellspacing="0" cellpadding="0" width="90%">
  <tr>
    <td>

          <table class="resultsborder"><tr>
<?php

$querystring = "url:" . $encoded_url;


$s = new $conf_index_class();
$s->setQuery($querystring);
$s->setSizeOfResultSet(1000);
$s->setFieldsInResult("archival_time");
$s->setSortOrder("ascending");
$s->doQuery();

$numhits = $s->getNumHits();
$total = $s->getNumHitsTotal();
$rset = $s->getResultSet();
print "<!--";
print_r($rset);
print "-->";
$timelineurl = $conf_result_page . "?url=" . $encoded_url . "&time=";


foreach ($rset as $hit){
  $prevyear = $year;
  $year = substr($hit['archival_time'],0,4);
  if ($year != $prevyear) {
    if (isset($prevyear)) {
      print "</td></tr></table></td>";
    }
    print "<td valign=\"top\"><table width=\"150\">";
    print "<tr><td class=\"norm\" align=\"center\"><b>$year</</td></tr><tr><td class=\"norm\" align=\"center\" valign=\"top\">";
  }
  print "<b><a target=\"_top\" href=\"" . $timelineurl . $hit['archival_time'] . "\">";
  print (substr($hit['archival_time'],6,2) . "." . substr($hit['archival_time'],4,2) . "." . $year . '</a><b><br/>');

}

?>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</center>
</center>
</body>
</html>

   
