<?php
/*
 *  This file is part of The NWA Toolset.
 *
 *  Copyright (C) 2001-2002 Royal Library in Stockholm,
 *                          Royal Library in Copenhagen,
 *                          Helsinki University Library of Finland,
 *                          National Library of Norway,
 *                          National and University Library of Iceland.
 *
 *  The NWA Toolset is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The NWA Toolset is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with The NWA Toolset; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 *
 * $Id: result.php,v 1.4 2004/08/04 06:48:15 sverreb Exp $
 *
 * This script gets variables from top.php and document-dispatcher and distributes to the two scripts.
 * top.php gets $time and $url
 * Document-dispatcher gets $timenum and $url
*/

include_once("config.inc");

$mode = $_REQUEST['mode'];
$time = $_REQUEST['time'];
$mime = $_REQUEST['mime'];
$url = $_REQUEST['url'];
$level = $_REQUEST['level'];
$manlevel = $_REQUEST['manlevel'];
$autoresolution = $_REQUEST['autoresolution'];
$debug = $_REQUEST['debug'];

if ($autoresolution != "on") {
  $level = $manlevel;
}


if($mode == "inline" || $mode == "external") {
  if ($fd = fopen("$conf_document_dispatcher?url=$url&time=$time&mime=$mime", "r")) {
    if (isset($mime)) {
      header("Content-type: $mime");
    }
    fpassthru($fd);
  }
  exit();
}



include($conf_includepath . "/url.inc");
include($conf_includepath . "/time.inc");
include("$conf_searchenginepath/indexUtils.inc");


if(isset($url))
  {
  $url = index_decode($url);
  $url = trim($url);
  $orig_url = trim($orig_url);
  $url = combineUrl($url, $orig_url);
  }


  $js = $_COOKIE[nwabrowser];


$url = stripport($url);

?>

<html>
<head><title>NWA Browser</title><head>

<?php

print "<FRAMESET frameborder=no border=0 framespacing=5 marginheight=0 marginwidth=0 bordercolor=black rows=\"100,*\">";

if($frame!='true'){
  print "<frame scrolling=no src=\"top.php?url=" . index_encode($url) . "&time=$time&level=$level&manlevel=$manlevel&autoresolution=$autoresolution&debug=$debug\" name=\"nwa_top\"/>";
}
print "<frame src=\"$conf_document_dispatcher?url=" . index_encode($url) . "&time=$time&js=$js\" name=\"nwa_content\" />";
print "</frameset>";


?>
<noframes>
You need a browser that supports frames to see this, well not exactly _this_, but what would have been here if you had a frames-capable browser.
</noframes>
</html>
